---
sidebar_label: JSCoverageOptions
---

# JSCoverageOptions interface

Set of configurable options for JS coverage.

#### Signature:

```typescript
export interface JSCoverageOptions
```

## Properties

| Property                 | Modifiers             | Type    | Description                                                                                                                                                                                           | Default |
| ------------------------ | --------------------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------- |
| includeRawScriptCoverage | <code>optional</code> | boolean | Whether the result includes raw V8 script coverage entries.                                                                                                                                           |         |
| reportAnonymousScripts   | <code>optional</code> | boolean | Whether anonymous scripts generated by the page should be reported.                                                                                                                                   |         |
| resetOnNavigation        | <code>optional</code> | boolean | Whether to reset coverage on every navigation.                                                                                                                                                        |         |
| useBlockCoverage         | <code>optional</code> | boolean | Whether to collect coverage information at the block level. If true, coverage will be collected at the block level (this is the default). If false, coverage will be collected at the function level. |         |
